Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006307TestLinkAPI - XMLRPCpublic2014-04-22 18:372014-04-25 17:38
Reportersimowtowmayshun 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006307: XML-RPC API getTestCasesForTestSuite() - add option to return also test case keywords
DescriptionMantis only provides two choices for the TestLink version (1.9.8 and 1.9.9), and neither of them are what we're using. We are currently using TestLink 1.9.7 (Ghost); however, I did clone the testlink-ga/testlink-code repo, checked out the testlink_1_9 branch (commit f9d675e), and saw that lib/functions/testcase.class.php::get_last_version_info() does not return keywords associated with a test case.

Please include test case keywords in the full details output of the getTestCasesForTestSuite() XML-RPC API method.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Not Applicable
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020774)
simowtowmayshun (reporter)
2014-04-22 18:41
edited on: 2014-04-22 18:42

I understand that 1.9.7 is no longer supported, but the supported versions of TestLink also don't provide this feature request (based on looking at the TestLink codebase).

(0020776)
fman (administrator)
2014-04-22 20:30

>> and saw that lib/functions/testcase.class.php::get_last_version_info()
>> does not return keywords associated with a test case
And this is not going to change and this is NOT THE ISSUE OK ?

Stick with what you have requested:
add option to getTestCasesForTestSuite() to provide also keywords.
IMHO this is the right request to do.
(0020777)
fman (administrator)
2014-04-22 21:16

You need to use existent argument: details = 'full' plus new argument getkeywords = true.
(0020778)
fman (administrator)
2014-04-22 21:17

https://gitorious.org/testlink-ga/testlink-code/commit/d2c581c27379e3e56ffe8e7c7930fedb32c55125 [^]
(0020779)
simowtowmayshun (reporter)
2014-04-23 16:25

Sounds great! Thanks for the timely fix!
(0020804)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2014-04-22 18:37 simowtowmayshun New Issue
2014-04-22 18:41 simowtowmayshun Note Added: 0020774
2014-04-22 18:42 simowtowmayshun Note Edited: 0020774 View Revisions
2014-04-22 20:30 fman Note Added: 0020776
2014-04-22 21:16 fman Note Added: 0020777
2014-04-22 21:17 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-04-22 21:17 fman Note Added: 0020778
2014-04-22 21:17 fman Status new => resolved
2014-04-22 21:17 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-04-22 21:17 fman Resolution open => fixed
2014-04-22 21:17 fman Assigned To => fman
2014-04-22 21:17 fman Summary XML-RPC API getTestCasesForTestSuite() - full details to return test case keywords => XML-RPC API getTestCasesForTestSuite() - add option to return also test case keywords
2014-04-22 21:18 fman Product Version => 1.9.9 (2013 Q4 - bug fixing)
2014-04-22 21:18 fman Relationship added child of 0006048
2014-04-23 16:25 simowtowmayshun Note Added: 0020779
2014-04-25 17:38 fman Note Added: 0020804
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker